resources:
  App\Entity\Order\OfferOrder:
    operations:
      ApiPlatform\Metadata\GetCollection:
        filters: [ 'offer_order.order_filter', 'offer_order.search_filter','order.order_filter', 'order.search_filter' ]
        openapiContext:
          summary: OfferOrder - List.
          description: >
            Retrieves a list of OfferOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'order:read'
            - 'offer_order:read'

      ApiPlatform\Metadata\Get:
        openapiContext:
          summary: OfferOrder - Item.
          description: >
            Retrieves a item of OfferOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'offer_order:read'
            - 'order:read'

      ApiPlatform\Metadata\Post:
        openapiContext:
          summary: OfferOrder - Create.
          description: >
            create an item of OfferOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'offer_order:read'
            - 'order:read'
        denormalizationContext:
          groups:
            - 'offer_order:write'
            - 'order:write'

      ApiPlatform\Metadata\Put:
        openapiContext:
          summary: OfferOrder - Update.
          description: >
            update an item of OfferOrder
        normalizationContext:
          groups:
            - 'identifier:read'
            - 'time_trace:read'
            - 'offer_order:read'
            - 'order:read'
        denormalizationContext:
          groups:
            - 'offer_order:write'
            - 'order:write'

      ApiPlatform\Metadata\Delete:
        openapiContext:
          summary: OfferOrder - Delete.
          description: >
            delete an item of OfferOrder
